Name: ca_TERENA-eScience-SSL-CA
Version: 1.50
Release: 1
Source: ca_TERENA-eScience-SSL-CA-1.50.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_TERENA-eScience-SSL-CA-1.50/20ce830e.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority TERENA-eScience-SSL-CA

%if %([ -n "https://www.terena.org/activities/tcs/repository/" ] && echo 1 || echo 0)
URL: https://www.terena.org/activities/tcs/repository/
%endif

%if %([ -n "ca_UTN-USERFirst-Hardware = 1.50" ] && echo 1 || echo 0)
Requires: ca_UTN-USERFirst-Hardware = 1.50
%endif

%prep
%setup -n ca_TERENA-eScience-SSL-CA-1.50

%description
This is the trust anchor for the classic accredited authority TERENA-eScience-SSL-CA.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

